#include <sys/types.h>
#include <sys/stat.h>
#include <stdio.h>
#include <fcntl.h>
/* 
	strip.c - get rid of cr  characters
*/
char  *progname;  /* name of this program */
char  *filename;  /* name of file to dump */
main(argc,argv)
int argc;
char *argv[];
{
	int i,j;
	int fd;    /* file descriptor of the file */
	unsigned char c;
	unsigned char buf[16];
	/* parse the command line */
	parse(argc,argv);
	/* open the file */
	fd = open(filename,O_RDONLY);
	if (fd < 0) {
		fprintf(stderr, "%s: error opening file '%s'\n",
			progname,filename);
		exit(1);
	} /* end of opening the file */
	j = 0;
	while ((i = read(fd,buf,1)) != 0) {
		if ( buf[0] != 0x0d ) {
			write(1,&buf[0],1);
		} else j++;
	}
	fprintf(stderr,"Found %d instances of 0x0d\n",j);
} /* end of main() */
/*----------------------------------------------------------------------*/
/* 
	parse() - Command line parser.
*/
parse(argc, argv)
	int argc;
	char *argv[];
{
	int i;   /* working variable */
	progname = argv[0];
	if (argc < 2) {
		usage();
		exit(1);
	}
	filename = argv[1];
	if (strcmp(filename, "") == 0) {
		fprintf(stderr,"%s: you must specify a file name\n",progname);
		usage();
		exit(1);
	}
} /* end of parse() */
/*----------------------------------------------------------------------*/
/* 
	usage() - Display usage information
*/
usage()
{
	fprintf(stderr, "Usage: %s filename\n", progname);
} /* end of usage() */
